For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Guías (Español)Guides (English)Referencia API
  • Referencia API
      • GETListar clientes
      • POSTCrear un cliente
      • GETObtener un cliente
      • PUTActualizar un cliente
LogoLogo
Referencia APICustomers

Obtener un cliente

GET
https://app.recurrente.com/api/customers/:id
GET
/api/customers/:id
$curl https://app.recurrente.com/api/customers/id \
> -H "X-SECRET-KEY: <apiKey>"
200Retrieved
1{
2 "id": "cus_abc123",
3 "user_id": "usr_xyz789",
4 "email": "cliente@ejemplo.com",
5 "name": "Maria Garcia",
6 "phone": "string",
7 "address": "string",
8 "nit": "string",
9 "metadata": {}
10}

Obtén los detalles de un cliente. Puedes buscar por id del cliente (formato cus_xxx) o por user_id (formato usr_xxx) usando el query parameter.

Was this page helpful?
Previous

Actualizar un cliente

Next
Built with

Authentication

X-SECRET-KEYstring
Tu llave secreta de API

Path parameters

idstringRequired

ID del cliente (formato cus_xxx)

Query parameters

user_idstringOptional

(Alternativa) Buscar por ID de usuario en lugar del ID de cliente

Response

Detalles del cliente
idstring

ID único del cliente

user_idstring
ID del usuario asociado
emailstringformat: "email"
Email del cliente
namestring
Nombre del cliente
phonestring or null

Número de teléfono

addressstring or null

Dirección

nitstring or null

Número de identificación tributaria

metadatamap from strings to any or null
Metadata personalizada